import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.naive_bayes import GaussianNB
import matplotlib.pyplot as plt


D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos en datos de entrenamiento y datos de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=4 )

clasificador = GaussianNB( )
clasificador.fit( X_entrena, y_entrena )

v = clasificador.score( X_entrena, y_entrena )
print( "Exactitud de entrenamiento:", v )

# Calcula la exactitud del clasificador
v = clasificador.score( X_prueba, y_prueba )
print( "Exactitud de prueba:", v )

# Para realizar el modelo

print( clasificador.class_prior_ )
print( clasificador.sigma_ )
print( clasificador.theta_ )
